
Katello - Bug #6103

Package Profile only uploaded every 4 hours

06/06/2014 06:29 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Justin Sherrill   

Category: Client/Agent   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1103937 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1103937

Description of problem:

Currently the package profile of a system is only updated every 4 hours.  This means you can:

Install a package

uninstall a package

install an errata

and you will not see the action reflected in the system package profile or applicable errata list until up to 4 hours later.

Additional info:

Satellite 5 provided this information instantly.

Associated revisions

Revision a9a4688c - 06/06/2014 05:41 PM - Justin Sherrill

fixes #6103 - updating package profile after every yum action

This commit does two things:   * Adds a yum plugin 'package_upload' which sends the package profile up

after every yum rpm transaction.  So this handles yum actions initiated

from katello and actions run on the client using 'yum'   * Includes a new executable 'katello-package-upload which force pushes the package profile

Revision a9a4688c - 06/06/2014 09:41 PM - Justin Sherrill

fixes #6103 - updating package profile after every yum action

This commit does two things:   * Adds a yum plugin 'package_upload' which sends the package profile up

after every yum rpm transaction.  So this handles yum actions initiated

from katello and actions run on the client using 'yum'   * Includes a new executable 'katello-package-upload which force pushes the package profile

Revision 520e0953 - 06/09/2014 02:17 PM - Justin Sherrill 

Merge pull request #7 from jlsherrill/pkg_update

fixes #6103 - updating package profile after every yum action

Revision 520e0953 - 06/09/2014 06:17 PM - Justin Sherrill 

Merge pull request #7 from jlsherrill/pkg_update

fixes #6103 - updating package profile after every yum action

History

#1 - 06/09/2014 12:10 PM - Eric Helms

- Category set to Client/Agent

- Target version set to 45
https://bugzilla.redhat.com/show_bug.cgi?id=1103937


- Difficulty set to easy

- Triaged set to Yes

#2 - 06/11/2014 12:30 PM - Eric Helms

- Status changed from New to Closed

#3 - 08/22/2014 08:33 AM - Eric Helms

- translation missing: en.field_release set to 13
